"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// internal dependencies
const CommandOption_1 = require("./CommandOption");
/**
 * @class Operator
 * @package models
 * @since v0.1.0
 * @description Model that describes an operator account.
 */
class Operator extends CommandOption_1.CommandOption {
    /**
     * Constructor for Operator objects
     *
     * @param {PublicAccount} account
     */
    constructor(
    /**
     * @description The operator public account
     */
    account) {
        super('operator', account);
        this.account = account;
    }
}
exports.Operator = Operator;
